    /*
     *  call-seq:
     *     lazy_doc.load -> lazy_doc
     *
     *  Load all unloaded fields in the document from the index.
     */
    static VALUE
    frt_lzd_load(VALUE self)
    {
        LazyDoc *lazy_doc = (LazyDoc *)DATA_PTR(rb_ivar_get(self, id_data));
        int i;
        for (i = 0; i < lazy_doc->size; i++) {
            LazyDocField *lazy_df = lazy_doc->fields[i];
            frt_lazy_df_load(self, ID2SYM(rb_intern(lazy_df->name)), lazy_df);
        }
        return self;
    }